# HTTP File Upload Support for Artillery.io #

This plugin adds powerful HTTP file upload support to HTTP scenarios in [Artillery.io](https://artillery.io).

This plugin is part of [Artillery Pro](https://artillery.io/pro/) and may not be distributed or used separately from Artillery Pro.

## Usage ##

```yaml
config:
  target: "http://localhost:10888"
  phases:
    - duration: 180
      arrivalRate: 20
  plugins:
    #
    # Enable the plugin:
    #
    http-file-uploads: {}
  variables:
    picture:
      - "jeremy-bishop-340107.jpg"
      - "idella-maeland-19069.jpg"
      - "simon-hattinga-verschure-5245.jpg"
      - "verena-yunita-yapi-204090.jpg"

scenarios:
  - flow:
      - post:
          url: "/upload"
          formData:
            #
            # Load the contents of a form field from a file:
            #
            picture:
              fromFile: "./files/{{ picture }}"
```

## License ##

```
(c) 2017 Shoreditch Ops Ltd. All rights reserved.

NOTICE: All information contained herein is, and remains
the property of Shoreditch Ops Ltd. The intellectual and
technical concepts contained herein are proprietary to
Shoreditch Ops Ltd and are protected by copyright law.

Modification and/or redistribution of this material is
strictly forbidden unless prior written permission is
obtained from Shoreditch Ops Ltd.
```
